| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkDebug::TestRunParameters Class Referencefinal

Parameters allowing to drive a test run sequence. More...

## Public Member Functions
| TestRunParameters () noexcept
| TestRunParameters (const TestRunParameters &other) noexcept
| TestRunParameters (TestRunParameters &&other) noexcept
| ~TestRunParameters ()
nkMemory::StringView | getClassNameFilter () const
nkMemory::StringView | getFunctionNameFilter () const
TestObserver * | getObserver () const
void | setClassNameFilter (nkMemory::StringView value)
void | setFunctionNameFilter (nkMemory::StringView value)
void | setObserver (TestObserver *value)
TestRunParameters & | operator= (const TestRunParameters &other) noexcept
TestRunParameters & | operator= (TestRunParameters &&other) noexcept

## Detailed Description

Parameters allowing to drive a test run sequence.

## Constructor & Destructor Documentation

## ◆ TestRunParameters() [1/3]

nkDebug::TestRunParameters::TestRunParameters | ( |  | ) |
| noexcept

Default constructor.

## ◆ TestRunParameters() [2/3]

nkDebug::TestRunParameters::TestRunParameters | ( | const TestRunParameters & | other | ) |
| noexcept

Copy constructor.

Parameters

  other | The parameter instance to copy settings from.

## ◆ TestRunParameters() [3/3]

nkDebug::TestRunParameters::TestRunParameters | ( | TestRunParameters && | other | ) |
| noexcept

Move constructor.

Parameters

  other | The parameter instance to move settings from.

## ◆ ~TestRunParameters()

nkDebug::TestRunParameters::~TestRunParameters | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ getClassNameFilter()

nkMemory::StringView nkDebug::TestRunParameters::getClassNameFilter | ( |  | ) | const

Returns
  The filter string used to choose which classes are ran, based on their names.

## ◆ getFunctionNameFilter()

nkMemory::StringView nkDebug::TestRunParameters::getFunctionNameFilter | ( |  | ) | const

Returns
  The filter string used to choose which functions are ran, based on their names.

## ◆ getObserver()

TestObserver* nkDebug::TestRunParameters::getObserver | ( |  | ) | const

Returns
  Currently set test observer.

## ◆ setClassNameFilter()

void nkDebug::TestRunParameters::setClassNameFilter | ( | nkMemory::StringView | value | ) |

Allows to set the filter string used during a run to choose which classes will be run.

Parameters

  value | The string to use.

Remarks
  Regexes using ecma script are accepted.

## ◆ setFunctionNameFilter()

void nkDebug::TestRunParameters::setFunctionNameFilter | ( | nkMemory::StringView | value | ) |

Allows to set the filter string used during a run to choose which functions will be run.

Parameters

  value | The string to use.

Remarks
  Regexes using ecma script are accepted.

## ◆ setObserver()

void nkDebug::TestRunParameters::setObserver | ( | TestObserver * | value | ) |

Allows to set the observer that should be used during a run.

Parameters

  value | The observer to use.

Remarks
  The observer ownership still remains within client calling code.

## ◆ operator=() [1/2]

TestRunParameters& nkDebug::TestRunParameters::operator= | ( | const TestRunParameters & | other | ) |
| noexcept

Assignment copy operator.

Parameters

  other | The parameter instance to copy settings from.

Returns
  The caller of this method.

## ◆ operator=() [2/2]

TestRunParameters& nkDebug::TestRunParameters::operator= | ( | TestRunParameters && | other | ) |
| noexcept

Assignment move operator.

Parameters

  other | The parameter instance to move settings from.

Returns
  The caller of this method.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsDebug/Testing/TestRunParameters.h